Skip to content

Proton Mail & Calendar

2272 results found

  1. Better navigation in Mail

    It is cumbersome to navigate back through older emails. You can only click on the page numbers at the bottom, and this does not allow you to go very far back.

    There is a need for greater flexibility here, for example by having the pages load automatically as you scroll down through your emails, and by allowing users to enter the specific page number they want to go to.

    2 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    0 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  2. Always show full email address

    For both to and from there should be the option to always show the full email address rather than just a name.

    6 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    0 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  3. Select all email from sender

    Proposed feature:

    1. Use the checkbox to select one or more email messages OR simply right-click on the desired email
    2. Choose "Select all from sender" from the context menu
    3. Proton selects ALL email from ALL the selected senders that are located in the current folder
    4. User can then use the existing "Move" button to move them into a folder, "Delete" to delete them, "Label" to label them, etc.

    That is it!


    REASONING: This feature would be very powerful for users because it makes complicated, multi-step tasks MUCH faster, saving users time.

    For example:

    GOAL: Select multiple email from different senders and…

    25 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    1 comment  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  4. Sorting Mail filters for easy reading.

    Under Proton Mail’s filter settings, the user cannot sort the list of filters they have created, making navigation difficult. Could the team add a button to help sort the list?

    7 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  5. Select newsletters with checkboxes

    The newsletters view is great. It would be even greater if you cloud select newsletters with checkboxes just like emails, and apply actions (unsubscribe all, remove all from list, move all to trash, etc) with just one click to all of them!

    4 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  6. FIX Calendar Event(s) Pop-Up

    instead of making me open an email,
    then click a link in the email to tell me that an event is about to occur;
    how about you simply pop-up the event at the scheduled time or at the time specified prior to the event...

    3 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  7. “Read&Archive” when swiping left

    I need the option to be able to read and archive and email at once when I’m swiping left. This is the only thing that is holding me back on buying an annual subscription.

    2 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    0 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  8. Making Assignments Easier

    University assignments can become challenging when you are balancing lectures, research, part-time work, and multiple deadlines. An Assignment Maker can be useful for students who need help organising ideas, understanding an assignment brief, or developing a clear academic structure. However, the process should focus on learning rather than simply producing a finished submission. Students can use academic support to explore suitable topics, improve their research approach, understand referencing requirements, and identify areas that need stronger analysis. It is also helpful to review the university guidelines before starting, as expectations can differ by subject and academic level. From essays and case…

    2 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    0 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  9. Is it safe to use a MySQL database recovery tool

    Yes, using a MySQL database recovery tool can be safe when the software works in a read-only manner and does not overwrite the original database files. SysInfo MySQL Database Recovery Tool is designed for read-only recovery and can recover data from corrupted MySQL files without overwriting the source files. The tool supports common MySQL file types such as .idb, .myd, .myi, .ibdata, and .frm, and allows users to preview recoverable database objects before saving them. Users can save recovered data to a new MySQL database or export it as SQL scripts. This makes SysInfo MySQL Database Recovery Tool a convenient…

    2 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    0 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  10. Mid-point between Mail Plus and Unlimited

    There really needs to be something between Mail Plus and Unlimited, especially seeing as you can't upgrade from Mail Plus to Drive Plus.

    The jump from Mail Plus to Unlimited is too high in price and not everyone needs 500GB of storage, but 15GB is too limiting.

    There needs to be something comparable for Mail to Drive Plus with 100 to 200GB storage.

    2 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    0 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  11. Select all mails after search - proton mail app

    I want to clean my mailbox. So I am searching mail’s from eg info@news.com and want to select all this messages and move them to a folder or delete them. But it’s not possible on iOS mail app. I have to click on every single mail … would save a lot of time! Thank you!

    12 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  12. Smarter Mail-to-Calendar Integration with One-Click Event Creation

    I would love to see tighter integration between Proton Mail and Proton Calendar. Features like automatically creating calendar events from emails, smarter reminders, and better RSVP management would improve productivity. For example, if I receive an email announcing Crumbl Cookies' weekly flavor lineup from https://crumbl-menu.com/, I should be able to create a calendar reminder for Monday's flavor drop with a single click. An AI-powered search that works entirely on-device while preserving privacy would also be a great addition. For Calendar, offline access, richer recurring event options, and easier sharing with non-Proton users would make it even more useful. Overall,…

    3 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  13. Add Advanced Sieve Extensions: Mailbox, Notifications, Body Filtering...

    Proton Mail's Sieve implementation is missing several powerful RFC-standard extensions that would unlock advanced email automation.

    Here are the key missing features: Mailbox Creation and Checking (RFC5490, RFC9042) - Automatically create folders and organize emails by sender domain without manual setup.

    Notifications (RFC5435/RFC5436) - Send SMS or email notifications when specific emails arrive instead of just filing them.

    Body Content Filtering (RFC5173) - Filter emails based on message body content, not just headers, for smarter spam detection.

    Edit Headers (RFC5293) - Modify or add custom headers to emails as they arrive.

    File Carbon Copy (RFC8580) - Keep automatic copies of…

    16 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    3 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  14. Unable to add additional people or forward a meeting notice.

    Need to be able to add additional people to a received meeting notice, or forward it to others. Currently when I receive a meeting notice from someone, I cannot add any other participants or forward it to others so that it creates a meeting notice for the new person. This is extremely annoying.

    2 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    0 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  15. Add the ability to write rules based on message body content

    As far as I know, every other mail client lets you create rules based on if the message body contains certain words. I notice things getting through my spam filters because of new domains, or shared domains, and that's bad. There are certain words that are always going to be considered spam to people, so it doesn't matter where they come from. Even if you think it's not a great way to create a rule, I think you should give us the option, especially since your refuse to let us quickly add to existing filters. As an example, I get…

    2 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  16. Notification when mail arrives and is moved to a folder

    At present I have to check folders to see if a mail item has arrived there.

    It should be possible to see a notification, within the browser app, that mail has arrived and been moved straight to a nominated folder.

    2 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    0 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  17. 2 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  18. Description for labels and folders

    In Proton mail when creating a label or a folder it would be very useful to be able to add a description. For example, label 'C: Finance' but the description would be something like 'Loans, mortgage, life insurance, pension, investments, and so on'.
    This will mean you label or folder name can be short and the description is only visible on the adding of the label or folder or by hovering over the label or folder name.

    4 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    0 comments  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  19. UX costumization in Calendar

    It would be great to be able to costumize the way we want to calendar app on Android.
    I'm thinkin of :
    - In monthly view, have a parameter that allows us to display the title of event on 2 or 3 lines, to be able to read it (Or to change the size of the title)
    - In weekly view, same thing : for a full day event only 2 letters of the event are displayed...
    - In weekly view : To have an option display the adress of the event : we have to check the event to…

    5 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    1 comment  ·  New feature  ·  Admin →
    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  20. When creating a group in PM, allow existing group to be added

    When creating a group, it would be useful to be able to insert an existing group as an address.

    An example use case would be to have a 'core' group and a 'full distribution' group

    2 votes

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)

    We’ll send you updates on this idea

    How important is this to you?

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
  • Don't see your idea?

Proton Mail & Calendar

Categories